View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012924ParaView(No Category)public2012-02-09 13:062012-07-18 19:18
Reportertd123 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.12 
Target Version3.14.1Fixed in Version3.14.1 
Summary0012924: [patch included] Paraview 3.12.0 fails to build with zlib 1.2.6, invalid conversion from 'void*' to 'gzFile'
DescriptionI'm using archlinux with gcc 4.6.2 with zlib 1.2.6.
When compiling against the system zlib, I get the following errors:

[ 67%] Building CXX object Utilities/VisItBridge/databases/CMakeFiles/vtkVisItDatabases.dir/BOV/avtBOVFileFormat.C.o
/build/src/ParaView-3.12.0/Utilities/VisItBridge/databases/BOV/avtBOVFileFormat.C: In member function 'void avtBOVFileFormat::ReadWholeAndExtractBrick(void*, bool, void*, void*, long long unsigned int, long long unsigned int, long long unsigned int, long long unsigned int, long long unsigned int, long long unsigned int, long long unsigned int, long long unsigned int, long long unsigned int, long long unsigned int)':
/build/src/ParaView-3.12.0/Utilities/VisItBridge/databases/BOV/avtBOVFileFormat.C:706:51: error: invalid conversion from 'void*' to 'gzFile' [-fpermissive]
/usr/include/zlib.h:1698:28: error: initializing argument 1 of 'off_t gzseek(gzFile, off_t, int)' [-fpermissive]
/build/src/ParaView-3.12.0/Utilities/VisItBridge/databases/BOV/avtBOVFileFormat.C:709:62: error: invalid conversion from 'void*' to 'gzFile' [-fpermissive]
/usr/include/zlib.h:1290:21: error: initializing argument 1 of 'int gzread(gzFile, voidp, unsigned int)' [-fpermissive]
/build/src/ParaView-3.12.0/Utilities/VisItBridge/databases/BOV/avtBOVFileFormat.C: In member function 'virtual vtkDataArray* avtBOVFileFormat::GetVar(int, const char*)':
/build/src/ParaView-3.12.0/Utilities/VisItBridge/databases/BOV/avtBOVFileFormat.C:1049:55: error: invalid conversion from 'void*' to 'gzFile' [-fpermissive]
/usr/include/zlib.h:1698:28: error: initializing argument 1 of 'off_t gzseek(gzFile, off_t, int)' [-fpermissive]
/build/src/ParaView-3.12.0/Utilities/VisItBridge/databases/BOV/avtBOVFileFormat.C:1052:57: error: invalid conversion from 'void*' to 'gzFile' [-fpermissive]
/usr/include/zlib.h:1290:21: error: initializing argument 1 of 'int gzread(gzFile, voidp, unsigned int)' [-fpermissive]
/build/src/ParaView-3.12.0/Utilities/VisItBridge/databases/BOV/avtBOVFileFormat.C:1195:26: error: invalid conversion from 'void*' to 'gzFile' [-fpermissive]
/usr/include/zlib.h:1488:24: error: initializing argument 1 of 'int gzclose(gzFile)' [-fpermissive]
make[2]: *** [Utilities/VisItBridge/databases/CMakeFiles/vtkVisItDatabases.dir/BOV/avtBOVFileFormat.C.o] Error 1
make[1]: *** [Utilities/VisItBridge/databases/CMakeFiles/vtkVisItDatabases.dir/all] Error 2
make: *** [all] Error 2

I found that someone on http://forum.fobby.net/index.php?t=msg&th=701&start=0 [^] also encountered this problem and said that it was due to "gzFile not being a typedef of voidp anymore in zlib-1.2.6".

I wrote a patch which fixes paraview building against zlib 1.2.6.
Attached as fix-build-with-zlib-1.2.6.diff

Although visit is an external library, it doesn't have a public bug tracker or version control system, or that one I could find. So I'm submitting this bug to paraview since you maintain an internal copy.
TagsNo tags attached.
ProjectTBD
Topic Name12924_fix_zlib_build_issues
Typeincorrect functionality
Attached Filesdiff file icon fix-build-with-zlib-1.2.6.diff [^] (1,247 bytes) 2012-02-09 13:06 [Show Content]
patch file icon visitbridge-gzfile.patch [^] (1,783 bytes) 2012-03-03 19:16 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0028337)
Jed Brown (reporter)
2012-03-03 19:18

I ran into the same problem and made visitbridge-gzfile.patch while fixing it, before coming here. My patch uses the correct gzFile type instead of casting void*. Please apply one of these.
(0028347)
Utkarsh Ayachit (administrator)
2012-03-09 12:07

commit b761df1ad9966d001f994508485bf1d160cf73fe
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Fri Mar 9 12:01:36 2012 -0500

    BUG 0012924. Fix build issue with zlib 1.2.6

commit 8c2ac6e7f6b45b8f03057fe221b23d6eee3c8d0d
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Fri Mar 9 11:58:44 2012 -0500

    BUG 12924. Fix build issue with zlib 1.2.6.
(0028370)
Utkarsh Ayachit (administrator)
2012-03-16 14:23

merged into master (if applicable)
(0028807)
Alan Scott (manager)
2012-07-18 19:18

Closing.

- Issue History
Date Modified Username Field Change
2012-02-09 13:06 td123 New Issue
2012-02-09 13:06 td123 File Added: fix-build-with-zlib-1.2.6.diff
2012-03-03 19:16 Jed Brown File Added: visitbridge-gzfile.patch
2012-03-03 19:18 Jed Brown Note Added: 0028337
2012-03-05 13:16 Utkarsh Ayachit Target Version => 3.14.1
2012-03-09 12:07 Utkarsh Ayachit Topic Name => 12924_fix_zlib_build_issues
2012-03-09 12:07 Utkarsh Ayachit Note Added: 0028347
2012-03-09 12:07 Utkarsh Ayachit Status backlog => gatekeeper review
2012-03-09 12:07 Utkarsh Ayachit Resolution open => fixed
2012-03-09 12:07 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2012-03-09 12:07 Utkarsh Ayachit Fixed in Version => git-next
2012-03-16 14:22 Utkarsh Ayachit Fixed in Version git-next => git-master
2012-03-16 14:23 Utkarsh Ayachit Status gatekeeper review => customer review
2012-03-16 14:23 Utkarsh Ayachit Note Added: 0028370
2012-04-05 17:03 Utkarsh Ayachit Fixed in Version git-master => 3.14.1
2012-07-18 19:18 Alan Scott Note Added: 0028807
2012-07-18 19:18 Alan Scott Status customer review => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker